package xyz.etztech.serverapi.web;

import xyz.etztech.serverapi.web.api.*;

import java.util.List;
import java.util.Set;

public interface IProvider {
    Set<BanAPI> bans();
    Set<PlayerAPI> players();
    PingAPI ping();
    TPSAPI TPS();
    List<WorldAPI> worlds();
    WorldAPI world(String name);
    List<PluginAPI> plugins();

    void log(String message);
}
